package com.qunzhixinxi.hnqz.admin.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 零工平台类型（订单支付方式类型）
 *
 * @author lixuesong
 * @date 2022年03月02日 11:10
 */
@Getter
@AllArgsConstructor
public enum GigTypeEnum {

	// 零工平台类型
	REN_LI_JIA(0, "人力家", "人力家"),
	TAX_HELPOR(1, "税邦云", "税邦云"),
	OLADING(2, "钉灵工", "钉灵工-海南飞亿"),
	YEE(3, "易联数科", "易联数科");

	@EnumValue
	private int code;

	private String desc;

	private String desc2;

	public static GigTypeEnum resolve(int code) {
		for (GigTypeEnum gigTypeEnum : GigTypeEnum.values()) {
			if (code == gigTypeEnum.getCode()) {
				return gigTypeEnum;
			}
		}
		return null;
	}
}
